[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'CacheCls' (#fcl)

# TCache.FindSlot

Find data pointer in the list

## Declaration

Source position: cachecls.pp line 83

`public function TCache.FindSlot(`
`AData: Pointer`
`):PCacheSlot;`

## Arguments

`AData` |  | Data pointer to look for.

## Function result

Slot which contains AData

## Description

FindSlot checks all items in the list, and returns the slot which contains a data pointer that matches the pointer AData.

If no item with data pointer that matches AData is found, Nil is returned.

For this function to work correctly, the OnIsDataEqual event must be set.

## Errors

If OnIsDataEqual is not set, an exception wil be raised.

## See also

TCache.IndexOf |  | Return index of a data pointer in the list.
TCache.Add |  | Add a data element to the list.
TCache.OnIsDataEqual |  | Event to compare 2 items.

Documentation generated on: Feb 26 2014